%define srcname pyudev

Summary:          A libudev binding
Name:             python-%{srcname}
Version:          0.24.0
Release:          %mkrel 2
License:          LGPLv2+
Group:            Development/Python
URL:              https://pypi.python.org/pypi/pyudev
Source0:          %{pypi_source}
BuildArch:        noarch
BuildRequires:    pyproject-rpm-macros
BuildRequires:    pkgconfig(udev)
Obsoletes:        python3-%{srcname}-qt4 < 0.24.1

%description
pyudev is a Python binding to libudev, the hardware management library
and service found in modern Linux systems.

%package -n python3-%{srcname}
Summary:          A libudev binding
Group:            Development/Python
BuildRequires:    python3-devel
BuildRequires:    python3dist(setuptools)
Provides:         python3-udev = %{version}-%{release}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
pyudev is a Python3 binding to libudev, the hardware management library
and service found in modern Linux systems.


%package -n python3-%{srcname}-qt5
Summary:          Qt5 integration for pyudev
Group:            Development/Python
%{?python_provide:%python_provide python3-%{srcname}-qt5}
Requires:         python3-qt5
Requires:         python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-qt5
Qt5 integration for pyudev.

This package provides a module pyudev.pyqt5 that contains classes for
integrating a pyudev monitor with the Qt5 main loop.

%prep
%autosetup -n %{srcname}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyudev

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst CHANGES.rst

%exclude %{python3_sitelib}/pyudev/pyqt{4,5}.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyqt{4,5}.*

%files -n python3-%{srcname}-qt5 -f %{pyproject_files}
%license COPYING





%changelog
* Thu Dec 01 2022 papoteur <papoteur> 0.24.0-2.mga9
+ Revision: 1913808
- remove python-qt4 module

* Wed Sep 07 2022 neoclust <neoclust> 0.24.0-1.mga9
+ Revision: 1885149
- New version  0.24.0

* Thu Mar 24 2022 umeabot <umeabot> 0.23.2-2.mga9
+ Revision: 1824687
- Mageia 9 Mass Rebuild

* Thu Feb 10 2022 wally <wally> 0.23.2-1.mga9
+ Revision: 1772848
- new version 0.23.2
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 0.22.0-3.mga9
+ Revision: 1702847
- rebuild for python 3.9

* Fri Feb 21 2020 umeabot <umeabot> 0.22.0-2.mga8
+ Revision: 1547775
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.22.0-1.mga8
+ Revision: 1488275
- new version: 0.22.0

* Sat Sep 14 2019 tv <tv> 0.21.0-4.mga8
+ Revision: 1440802
- really rebuild for python-3.8

* Sun Sep 08 2019 wally <wally> 0.21.0-3.mga8
+ Revision: 1438420
- another rebuild for python3.8

* Sun Sep 08 2019 wally <wally> 0.21.0-2.mga8
+ Revision: 1438309
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.21.0-1.mga7
+ Revision: 1393776
- new version 0.21.0

* Wed Apr 17 2019 daviddavid <daviddavid> 0.19.0-5.mga7
+ Revision: 1391934
- rename all python-module to python2-module

* Mon Jan 07 2019 wally <wally> 0.19.0-4.mga7
+ Revision: 1350578
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.19.0-3.mga7
+ Revision: 1289933
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.19.0-2.mga7
+ Revision: 1135591
- Rebuild for python 3.6

* Tue Feb 16 2016 philippem <philippem> 0.19.0-1.mga6
+ Revision: 962620
- update to 0.19.0

* Wed Dec 30 2015 philippem <philippem> 0.18.1-1.mga6
+ Revision: 916947
- update to 0.18.1, split qt in subpackages

* Thu Oct 08 2015 tv <tv> 0.17-2.mga6
+ Revision: 887448
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 0.17-1.mga6
+ Revision: 881345
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.16.1-10.mga5
+ Revision: 748139
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.16.1-9.mga5
+ Revision: 729607
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.1-8.mga5
+ Revision: 688288
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.16.1-7.mga5
+ Revision: 628972
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.16.1-6.mga4
+ Revision: 544166
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.16.1-5.mga4
+ Revision: 499275
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 15 2013 philippem <philippem> 0.16.1-4.mga4
+ Revision: 480072
- rename pyudev as python-pyudev
- rename pyudev as python-pyudev

* Wed Sep 11 2013 philippem <philippem> 0.16.1-3.mga4
+ Revision: 477734
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.16.1-2.mga3
+ Revision: 379758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 fwang <fwang> 0.16.1-1.mga3
+ Revision: 310280
- new version 0.16.1

* Fri Dec 16 2011 tv <tv> 0.13-1.mga2
+ Revision: 182863
- new release

* Sat Oct 08 2011 fwang <fwang> 0.12-1.mga2
+ Revision: 152901
- imported package pyudev

